Send Live Chat Message
curl --request POST \
--url https://relay.snipp.gg/users/{id}/live/chat \
--header 'Content-Type: application/json' \
--header 'relay-key: <api-key>' \
--data '
{
"body": "gg",
"reply_to": 127
}
'import requests
url = "https://relay.snipp.gg/users/{id}/live/chat"
payload = {
"body": "gg",
"reply_to": 127
}
headers = {
"relay-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'relay-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({body: JSON.stringify('gg'), reply_to: 127})
};
fetch('https://relay.snipp.gg/users/{id}/live/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://relay.snipp.gg/users/{id}/live/chat",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'body' => 'gg',
'reply_to' => 127
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"relay-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://relay.snipp.gg/users/{id}/live/chat"
payload := strings.NewReader("{\n \"body\": \"gg\",\n \"reply_to\": 127\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("relay-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://relay.snipp.gg/users/{id}/live/chat")
.header("relay-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"body\": \"gg\",\n \"reply_to\": 127\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://relay.snipp.gg/users/{id}/live/chat")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["relay-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"body\": \"gg\",\n \"reply_to\": 127\n}"
response = http.request(request)
puts response.read_body{
"chat_message": {
"id": 128,
"body": "gg",
"created_at": "2026-11-03T08:05:12.000Z",
"role": null,
"author": {
"id": "9876543210",
"username": "snipp",
"nickname": "Snipp",
"avatar": "https://cdn.snipp.gg/avatar.png",
"verified": true,
"plan": "free"
},
"reply_to": {
"id": 127,
"author": {
"id": "1234567890",
"username": "nitcord",
"nickname": "nitcord",
"avatar": "https://cdn.snipp.gg/avatar.png",
"verified": true,
"plan": "ultra"
},
"body": "welcome to the stream",
"deleted": false
},
"deleted": false,
"deleted_by": null
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}Live
Send Live Chat Message
Send a message to a stream’s chat, optionally as a reply.
POST
/
users
/
{id}
/
live
/
chat
Send Live Chat Message
curl --request POST \
--url https://relay.snipp.gg/users/{id}/live/chat \
--header 'Content-Type: application/json' \
--header 'relay-key: <api-key>' \
--data '
{
"body": "gg",
"reply_to": 127
}
'import requests
url = "https://relay.snipp.gg/users/{id}/live/chat"
payload = {
"body": "gg",
"reply_to": 127
}
headers = {
"relay-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'relay-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({body: JSON.stringify('gg'), reply_to: 127})
};
fetch('https://relay.snipp.gg/users/{id}/live/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://relay.snipp.gg/users/{id}/live/chat",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'body' => 'gg',
'reply_to' => 127
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"relay-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://relay.snipp.gg/users/{id}/live/chat"
payload := strings.NewReader("{\n \"body\": \"gg\",\n \"reply_to\": 127\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("relay-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://relay.snipp.gg/users/{id}/live/chat")
.header("relay-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"body\": \"gg\",\n \"reply_to\": 127\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://relay.snipp.gg/users/{id}/live/chat")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["relay-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"body\": \"gg\",\n \"reply_to\": 127\n}"
response = http.request(request)
puts response.read_body{
"chat_message": {
"id": 128,
"body": "gg",
"created_at": "2026-11-03T08:05:12.000Z",
"role": null,
"author": {
"id": "9876543210",
"username": "snipp",
"nickname": "Snipp",
"avatar": "https://cdn.snipp.gg/avatar.png",
"verified": true,
"plan": "free"
},
"reply_to": {
"id": 127,
"author": {
"id": "1234567890",
"username": "nitcord",
"nickname": "nitcord",
"avatar": "https://cdn.snipp.gg/avatar.png",
"verified": true,
"plan": "ultra"
},
"body": "welcome to the stream",
"deleted": false
},
"deleted": false,
"deleted_by": null
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}Send a message to a stream’s chat, optionally as a reply to another message.
Behavior
bodyis 1 to 200 characters.reply_tomust be a message in the same chat that has not been removed, otherwise404.- If the streamer turned the chat off, the response is
403with typechat_off. - If you are timed out, the response is
403with typetimed_outandexpires_at, when you can chat again. If you are banned, it is403with typebanned. - With slow mode on, sending again too soon gives
403with typeslow_modeandretry_at, when you can send your next message. The streamer, their moderators and staff are exempt. - If the streamer blocked you, or you blocked them, the response is
403with typeblocked. - The response is the message as other viewers will see it.
Example
curl -X POST "https://relay.snipp.gg/users/987654321098765432/live/chat" \
-H "relay-key: YOUR_RELAY_KEY" \
-H "Content-Type: application/json" \
-d '{"body": "gg", "reply_to": 127}'
Body
application/json